import { providers } from "ethers";
import { CachingMechanismInterface } from "../interfaces";
import { EventSearchConfig, MakeOptional } from "../utils";
export declare enum UpdateFailureReason {
    AlreadyUpdated = 0,
    BadRequest = 1,
    RPCError = 2
}
export declare function isUpdateFailureReason(x: EventSearchConfig | UpdateFailureReason): x is UpdateFailureReason;
export declare abstract class BaseAbstractClient {
    readonly eventSearchConfig: MakeOptional<EventSearchConfig, "toBlock">;
    protected cachingMechanism?: CachingMechanismInterface | undefined;
    protected _isUpdated: boolean;
    firstBlockToSearch: number;
    latestBlockSearched: number;
    constructor(eventSearchConfig?: MakeOptional<EventSearchConfig, "toBlock">, cachingMechanism?: CachingMechanismInterface | undefined);
    get isUpdated(): boolean;
    set isUpdated(value: boolean);
    updateSearchConfig(provider: providers.Provider): Promise<EventSearchConfig | UpdateFailureReason>;
    protected assertUpdated(): void;
    protected hasCachingMechanism(): boolean;
}
