"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryBase__factory = void 0;
var constants_v2_1 = require("@across-protocol/constants-v2");
var contracts_v2_1 = require("@across-protocol/contracts-v2");
var sdk_1 = require("@eth-optimism/sdk");
var constants_1 = require("../../constants");
var utils_1 = require("../../utils");
var baseQuery_1 = require("./baseQuery");
var polygon_1 = require("./polygon");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var fixedGasPrice = (_a = {},
    _a[constants_v2_1.CHAIN_IDs.BOBA] = 1e9,
    _a);
var QueryBase__factory = (function () {
    function QueryBase__factory() {
    }
    QueryBase__factory.create = function (chainId, provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup, coingeckoBaseCurrency) {
        if (symbolMapping === void 0) { symbolMapping = constants_v2_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, contracts_v2_1.getDeployedAddress)("SpokePool", chainId); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        if (coingeckoBaseCurrency === void 0) { coingeckoBaseCurrency = "eth"; }
        if ((0, utils_1.chainIsMatic)(chainId)) {
            return new polygon_1.PolygonQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup);
        }
        provider = (0, utils_1.chainIsOPStack)(chainId) ? (0, sdk_1.asL2Provider)(provider) : provider;
        return new baseQuery_1.QueryBase(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey, fixedGasPrice[chainId], coingeckoBaseCurrency);
    };
    return QueryBase__factory;
}());
exports.QueryBase__factory = QueryBase__factory;
//# sourceMappingURL=factory.js.map