"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateFillForDeposit = exports.filledSameDeposit = exports.V3_DEPOSIT_COMPARISON_KEYS = exports.FILL_DEPOSIT_COMPARISON_KEYS = void 0;
var tslib_1 = require("tslib");
var SpokeUtils_1 = require("./SpokeUtils");
exports.FILL_DEPOSIT_COMPARISON_KEYS = [
    "depositId",
    "originChainId",
    "destinationChainId",
    "depositor",
    "recipient",
    "message",
];
exports.V3_DEPOSIT_COMPARISON_KEYS = tslib_1.__spreadArray(tslib_1.__spreadArray([], exports.FILL_DEPOSIT_COMPARISON_KEYS, true), [
    "inputToken",
    "inputAmount",
    "outputToken",
    "outputAmount",
    "fillDeadline",
    "exclusivityDeadline",
    "exclusiveRelayer",
], false);
function filledSameDeposit(fillA, fillB) {
    if (fillA.depositId !== fillB.depositId) {
        return false;
    }
    var chainA = fillA.destinationChainId;
    var chainB = fillB.destinationChainId;
    return (0, SpokeUtils_1.getRelayDataHash)(fillA, chainA) === (0, SpokeUtils_1.getRelayDataHash)(fillB, chainB);
}
exports.filledSameDeposit = filledSameDeposit;
function validateFillForDeposit(relayData, deposit) {
    if (deposit === undefined) {
        return false;
    }
    return validateV3FillForDeposit(relayData, deposit);
}
exports.validateFillForDeposit = validateFillForDeposit;
function validateV3FillForDeposit(fill, deposit) {
    return (0, SpokeUtils_1.getRelayDataHash)(fill, fill.destinationChainId) === (0, SpokeUtils_1.getRelayDataHash)(deposit, deposit.destinationChainId);
}
//# sourceMappingURL=FlowUtils.js.map