var _a;
import { CHAIN_IDs, TOKEN_SYMBOLS_MAP } from "@across-protocol/constants-v2";
import { getDeployedAddress } from "@across-protocol/contracts-v2";
import { asL2Provider } from "@eth-optimism/sdk";
import { DEFAULT_SIMULATED_RELAYER_ADDRESS } from "../../constants";
import { chainIsMatic, chainIsOPStack } from "../../utils";
import { QueryBase } from "./baseQuery";
import { PolygonQueries } from "./polygon";
import { DEFAULT_LOGGER } from "../relayFeeCalculator";
/**
 * Some chains have a fixed gas price that is applied to the gas estimates. We should override
 * the gas markup for these chains.
 */
var fixedGasPrice = (_a = {},
    _a[CHAIN_IDs.BOBA] = 1e9,
    _a);
var QueryBase__factory = /** @class */ (function () {
    function QueryBase__factory() {
    }
    QueryBase__factory.create = function (chainId, provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup, coingeckoBaseCurrency) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", chainId); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        if (coingeckoBaseCurrency === void 0) { coingeckoBaseCurrency = "eth"; }
        // Currently the only chain that has a custom query class is Polygon
        if (chainIsMatic(chainId)) {
            return new PolygonQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup);
        }
        // For OPStack chains, we need to wrap the provider in an L2Provider
        provider = chainIsOPStack(chainId) ? asL2Provider(provider) : provider;
        return new QueryBase(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey, fixedGasPrice[chainId], coingeckoBaseCurrency);
    };
    return QueryBase__factory;
}());
export { QueryBase__factory };
//# sourceMappingURL=factory.js.map