import { __spreadArray } from "tslib";
import { getRelayDataHash } from "./SpokeUtils";
export var FILL_DEPOSIT_COMPARISON_KEYS = [
    "depositId",
    "originChainId",
    "destinationChainId",
    "depositor",
    "recipient",
    "message",
];
export var V3_DEPOSIT_COMPARISON_KEYS = __spreadArray(__spreadArray([], FILL_DEPOSIT_COMPARISON_KEYS, true), [
    "inputToken",
    "inputAmount",
    "outputToken",
    "outputAmount",
    "fillDeadline",
    "exclusivityDeadline",
    "exclusiveRelayer",
], false);
export function filledSameDeposit(fillA, fillB) {
    // Don't bother hashing obvious mismatches.
    if (fillA.depositId !== fillB.depositId) {
        return false;
    }
    var chainA = fillA.destinationChainId;
    var chainB = fillB.destinationChainId;
    return getRelayDataHash(fillA, chainA) === getRelayDataHash(fillB, chainB);
}
export function validateFillForDeposit(relayData, // V3Fill, SlowFillRequest...
deposit) {
    if (deposit === undefined) {
        return false;
    }
    return validateV3FillForDeposit(relayData, deposit);
}
function validateV3FillForDeposit(fill, deposit) {
    return getRelayDataHash(fill, fill.destinationChainId) === getRelayDataHash(deposit, deposit.destinationChainId);
}
//# sourceMappingURL=FlowUtils.js.map